DCMTK - Bug #523

ofthread test fails on FreeBSD
2013-05-21 11:27 - Michael Onken

Status: Closed Start date: 2013-05-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 3.6.2

Module: ofstd Compiler:

Operating System:

Description
See https://buildd.debian.org/status/fetch.php?pkg=dcmtk&arch=kfreebsd-i386&ver=3.6.1~20121102-1&stamp=1368791645

History

#1 - 2013-05-21 22:44 - Uli Schlachter

| used to have a shell on io.debian.net (kfreebsd-i386 porter box). Sadly, io was locked down a while ago and thus that doesn't help here.

Instead, | asked on IRC (OFTC, #debian-kbsd) about this. Some helpful guy there (thanks christoph!) "pressed the button" to rebuild this. The idea
here was "this could just be a race condition in the test and this will work on the second try". Sadly, the idea was wrong:

Next idea would be to write a mail to the porters mailing list (debian-bsd@lists.debian.org). Perhaps someone there is brave enough to look at
ofstd/libsrc/threads.cc and find something broken. However, since kfreebsd-amd64 works, | don't have high hopes for this. Plan B would be to ask for
a shell on fischer (I was told that fischer is the new kfreebsd-i386 porter box) so that more investigations can be carried out.

If no one else is faster, | might try writing such a mail. However, | don't know when this might happen.

#2 - 2013-08-20 14:40 - Michael Onken

- Status changed from New to Closed

Commited patch in order to actually compile oflog with threads disabled. Could not reproduce the error with the current DCMTK code in a KFreeBSD
i386 virtual machine.
